#!/usr/bin/perl

$MyDir = $0;
$MyDir =~ s|(.*)/.*$|$1|;
require "$MyDir/config.pli";
require "$MyDir/readtick1.pli";

&ReadConfig;

print "ConfigDir = $ConfigDir\n";
print "FileBase  = $FileBase\n";
print "Inbound   = $Inbound\n";
chdir($Inbound);

($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = gmtime(time());
open(LogFile, ">>$Log");
$time=localtime;
print LogFile "[$time] Toss_tics started\n";
close(LogFile);

TickFile:
for $CurTic (<*.tic>) {
	print "Reading $CurTic\n";
	$Status = &ReadTickFile($CurTic);
	print "status = $Status\n";
	if (!$Status) {
		print "Error was : $ReadTickError\n";
		next TickFile;
	}

	#
	# Tick is OK. Fine, move it to the destination directory
	#
	system "mv $FileContents{'File'} $AreaDir";

	#
	# Update the .files.bbs. .Files.bbs has a colon-separated format,
	# possibly it could be dbm later on.
	#
	open(DescFile, ">>$AreaDir/$FilesBBSFileName");
	print DescFile "$FileContents{'File'}	$FileContents{'Desc'}\n";
	close(DescFile);
	open(LogFile, ">>$Log");
	$time=localtime;
	print LogFile "[$time] $FileContents{'File'}:$FileContents{'Desc'}\n";
	print LogFile "        moved to $AreaDir\n";
	close(LogFile);
	unlink($CurTic);
}

open(LogFile, ">>$Log");
$time=localtime;
print LogFile "[$time] Toss_tics finished\n\n";
close(LogFile);
